<script lang="ts" setup>
import { Licences } from '~/models/licence';

const route = useRoute();
const links = [
  {
    text: 'Accueil ',
    to: '/',
  },
  {
    text: 'Licence libre',
    to: '/licence-libre/le-point-sur-les-licences-libres',
  },
  {
    text: 'Le point sur les licences libres',
    to: '/licence-libre/le-point-sur-les-licences-libres',
  },
  {
    text: route.params.slug,
    to: '/licence-libre/le-point-sur-les-licences-libres/' + route.params.slug,
  },
];
const { getItems } = useDirectusItems();
const share = ref(false);
let licence: Licences = [];

const shareItem = (): void => {
  share.value = true;
};

try {
  licence = await getItems<Licences>({
    collection: 'Licences',
    params: {
      filter: { slug: { _eq: route.params.slug } },
      fields: ['slug', 'name', 'summary', 'type', 'origin', 'purpose', 'pros', 'cons', 'projet_name', 'projet_link', 'projet_img'],
    },
  });
} catch (e) {}
</script>
<template>
  <div class="fr-container">
    <DsfrBreadcrumb :links="links" />
    <div class="fr-pb-11w">
      <LicenceItem
        v-if="!share"
        :name="licence[0].name"
        :slug="licence[0].slug"
        :summary="licence[0].summary"
        :pros="licence[0].pros"
        :cons="licence[0].cons"
        :type="licence[0].type"
        :origin="licence[0].origin"
        :purpose="licence[0].purpose"
        :projet-name="licence[0].projet_name"
        :projet-link="licence[0].projet_link"
        :projet-img="licence[0].projet_img"
        @share-item="shareItem()"
      />
    </div>
  </div>
  <BlockWithAccordion />
  <Follow />
</template>
<style lang="scss"></style>
